Use ID serialization for PropertyInfoLookup return values
Closed, ResolvedPublic

Description

The return values of getAllPropertyInfo and getPropertyInfoForDataType map property IDs to property info and currently use numeric IDs as array keys. This should be changed to ID serializations to avoid collisions when dealing with properties from different repositories.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 5 2016, 12:19 PM
Jakob_WMDE moved this task from Proposed to Doing on the Wikidata-Sprint board.

Change 325307 had a related patch set uploaded (by Jakob):
Use ID serialization for PropertyInfoLookup return values.

https://gerrit.wikimedia.org/r/325307

Jakob_WMDE moved this task from Doing to Review on the Wikidata-Sprint board.Dec 5 2016, 4:57 PM

Change 325307 merged by jenkins-bot:
Use ID serialization for PropertyInfoLookup return values.

https://gerrit.wikimedia.org/r/325307

WMDE-leszek moved this task from Review to Done on the Wikidata-Sprint board.Dec 15 2016, 1:27 PM
WMDE-leszek closed this task as Resolved.Jan 3 2017, 1:33 PM